# -*- coding: utf-8 -*-
#------------------------------------------------------------
# MARFOOGLE NEWS Addon by SCOTTYVBAMA
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
#
# Author: SCOTTYVBAMA
# Twitter:  @scottyvbama
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon



addonID = 'plugin.video.marfoogle'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "UCVl2jWBH3ksLLJfjliXmomg"
YOUTUBE_CHANNEL_ID_2 = "UCB5AwR8lnqzsPS6iCzDZxwg"


# Entry point
def run():
    plugintools.log("marfoogle.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("marfoogle.main_list "+repr(params))

    plugintools.add_item( 
        #action="", 
        title="Marfoogle News",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail=icon,
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Marfoogle TV",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail=icon,
        folder=True )

xbmc.executebuiltin("Container.SetViewMode(500)")
run()
